Delete Categories

Deletes categories. To delete a specific category in a tree, provide a category ID.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

category_uuid:inlist of stringsOptional

Filter using a comma-separated list of one or more category UUIDs. To use category IDs, use the category_id:in parameter.

category_id:inlist of integersOptional

Filter using a comma-separated list of one or more category IDs. To use category UUIDs, use the category_uuid:in parameter.

tree_id:inlist of integersOptional

Filter using a comma-separated list of one or more category tree IDs.

parent_id:inlist of integersOptional

Response

Categories are deleted
metaobject

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error